org.apache.calcite.avatica.proto

## Class Requests.TablesRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>
      - - org.apache.calcite.avatica.proto.Requests.TablesRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Requests.TablesRequestOrBuilder

Enclosing class:
  Requests.TablesRequest

    public static final class Requests.TablesRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>
    implements Requests.TablesRequestOrBuilder

     Request for Request for Meta#getTables(String, org.apache.calcite.avatica.Meta.Pat,
       org.apache.calcite.avatica.Meta.Pat, java.util.List)

Protobuf type `TablesRequest`

### Field Summary

Fields
`private int` `bitField0_`
`private Object` `catalog_`
`private Object` `connectionId_`
`private boolean` `hasTypeList_`
`private Object` `schemaPattern_`
`private Object` `tableNamePattern_`
`private com.google.protobuf.LazyStringList` `typeList_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Requests.TablesRequest.Builder` `addAllTypeList(Iterable<String> values)` `repeated string type_list = 4;`
`Requests.TablesRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.TablesRequest.Builder` `addTypeList(String value)` `repeated string type_list = 4;`
`Requests.TablesRequest.Builder` `addTypeListBytes(com.google.protobuf.ByteString value)` `repeated string type_list = 4;`
`Requests.TablesRequest` `build()`
`Requests.TablesRequest` `buildPartial()`
`Requests.TablesRequest.Builder` `clear()`
`Requests.TablesRequest.Builder` `clearCatalog()` `string catalog = 1;`
`Requests.TablesRequest.Builder` `clearConnectionId()` `string connection_id = 7;`
`Requests.TablesRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.TablesRequest.Builder` `clearHasTypeList()` Having an empty type_list is distinct from a null type_list
`Requests.TablesRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.TablesRequest.Builder` `clearSchemaPattern()` `string schema_pattern = 2;`
`Requests.TablesRequest.Builder` `clearTableNamePattern()` `string table_name_pattern = 3;`
`Requests.TablesRequest.Builder` `clearTypeList()` `repeated string type_list = 4;`
`Requests.TablesRequest.Builder` `clone()`
`private void` `ensureTypeListIsMutable()`
`String` `getCatalog()` `string catalog = 1;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `string catalog = 1;`
`String` `getConnectionId()` `string connection_id = 7;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 7;`
`Requests.TablesRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getHasTypeList()` Having an empty type_list is distinct from a null type_list
`String` `getSchemaPattern()` `string schema_pattern = 2;`
`com.google.protobuf.ByteString` `getSchemaPatternBytes()` `string schema_pattern = 2;`
`String` `getTableNamePattern()` `string table_name_pattern = 3;`
`com.google.protobuf.ByteString` `getTableNamePatternBytes()` `string table_name_pattern = 3;`
`String` `getTypeList(int index)` `repeated string type_list = 4;`
`com.google.protobuf.ByteString` `getTypeListBytes(int index)` `repeated string type_list = 4;`
`int` `getTypeListCount()` `repeated string type_list = 4;`
`com.google.protobuf.ProtocolStringList` `getTypeListList()` `repeated string type_list = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.TablesRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.TablesRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Requests.TablesRequest.Builder` `mergeFrom(Requests.TablesRequest other)`
`Requests.TablesRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.TablesRequest.Builder` `setCatalog(String value)` `string catalog = 1;`
`Requests.TablesRequest.Builder` `setCatalogBytes(com.google.protobuf.ByteString value)` `string catalog = 1;`
`Requests.TablesRequest.Builder` `setConnectionId(String value)` `string connection_id = 7;`
`Requests.TablesRequest.Builder` `setConnectionIdBytes(com.google.protobuf.ByteString value)` `string connection_id = 7;`
`Requests.TablesRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.TablesRequest.Builder` `setHasTypeList(boolean value)` Having an empty type_list is distinct from a null type_list
`Requests.TablesRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Requests.TablesRequest.Builder` `setSchemaPattern(String value)` `string schema_pattern = 2;`
`Requests.TablesRequest.Builder` `setSchemaPatternBytes(com.google.protobuf.ByteString value)` `string schema_pattern = 2;`
`Requests.TablesRequest.Builder` `setTableNamePattern(String value)` `string table_name_pattern = 3;`
`Requests.TablesRequest.Builder` `setTableNamePatternBytes(com.google.protobuf.ByteString value)` `string table_name_pattern = 3;`
`Requests.TablesRequest.Builder` `setTypeList(int index, String value)` `repeated string type_list = 4;`
`Requests.TablesRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### catalog_

    private Object catalog_

#### schemaPattern_

    private Object schemaPattern_

#### tableNamePattern_

    private Object tableNamePattern_

#### typeList_

    private com.google.protobuf.LazyStringList typeList_

#### hasTypeList_

    private boolean hasTypeList_

#### connectionId_

    private Object connectionId_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.TablesRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### getDefaultInstanceForType

    public Requests.TablesRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.TablesRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.TablesRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.TablesRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### setField

    public Requests.TablesRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### clearField

    public Requests.TablesRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### clearOneof

    public Requests.TablesRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### setRepeatedField

    public Requests.TablesRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           int index,
                                                           Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### addRepeatedField

    public Requests.TablesRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### mergeFrom

    public Requests.TablesRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.TablesRequest.Builder>`

#### mergeFrom

    public Requests.TablesRequest.Builder mergeFrom(Requests.TablesRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### mergeFrom

    public Requests.TablesRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.TablesRequest.Builder>`
Throws:
  `IOException`

#### getCatalog

    public String getCatalog()

`string catalog = 1;`

Specified by:
  `getCatalog` in interface `Requests.TablesRequestOrBuilder`

#### getCatalogBytes

    public com.google.protobuf.ByteString getCatalogBytes()

`string catalog = 1;`

Specified by:
  `getCatalogBytes` in interface `Requests.TablesRequestOrBuilder`

#### setCatalog

    public Requests.TablesRequest.Builder setCatalog(String value)

`string catalog = 1;`

#### clearCatalog

    public Requests.TablesRequest.Builder clearCatalog()

`string catalog = 1;`

#### setCatalogBytes

    public Requests.TablesRequest.Builder setCatalogBytes(com.google.protobuf.ByteString value)

`string catalog = 1;`

#### getSchemaPattern

    public String getSchemaPattern()

`string schema_pattern = 2;`

Specified by:
  `getSchemaPattern` in interface `Requests.TablesRequestOrBuilder`

#### getSchemaPatternBytes

    public com.google.protobuf.ByteString getSchemaPatternBytes()

`string schema_pattern = 2;`

Specified by:
  `getSchemaPatternBytes` in interface `Requests.TablesRequestOrBuilder`

#### setSchemaPattern

    public Requests.TablesRequest.Builder setSchemaPattern(String value)

`string schema_pattern = 2;`

#### clearSchemaPattern

    public Requests.TablesRequest.Builder clearSchemaPattern()

`string schema_pattern = 2;`

#### setSchemaPatternBytes

    public Requests.TablesRequest.Builder setSchemaPatternBytes(com.google.protobuf.ByteString value)

`string schema_pattern = 2;`

#### getTableNamePattern

    public String getTableNamePattern()

`string table_name_pattern = 3;`

Specified by:
  `getTableNamePattern` in interface `Requests.TablesRequestOrBuilder`

#### getTableNamePatternBytes

    public com.google.protobuf.ByteString getTableNamePatternBytes()

`string table_name_pattern = 3;`

Specified by:
  `getTableNamePatternBytes` in interface `Requests.TablesRequestOrBuilder`

#### setTableNamePattern

    public Requests.TablesRequest.Builder setTableNamePattern(String value)

`string table_name_pattern = 3;`

#### clearTableNamePattern

    public Requests.TablesRequest.Builder clearTableNamePattern()

`string table_name_pattern = 3;`

#### setTableNamePatternBytes

    public Requests.TablesRequest.Builder setTableNamePatternBytes(com.google.protobuf.ByteString value)

`string table_name_pattern = 3;`

#### ensureTypeListIsMutable

    private void ensureTypeListIsMutable()

#### getTypeListList

    public com.google.protobuf.ProtocolStringList getTypeListList()

`repeated string type_list = 4;`

Specified by:
  `getTypeListList` in interface `Requests.TablesRequestOrBuilder`

#### getTypeListCount

    public int getTypeListCount()

`repeated string type_list = 4;`

Specified by:
  `getTypeListCount` in interface `Requests.TablesRequestOrBuilder`

#### getTypeList

    public String getTypeList(int index)

`repeated string type_list = 4;`

Specified by:
  `getTypeList` in interface `Requests.TablesRequestOrBuilder`

#### getTypeListBytes

    public com.google.protobuf.ByteString getTypeListBytes(int index)

`repeated string type_list = 4;`

Specified by:
  `getTypeListBytes` in interface `Requests.TablesRequestOrBuilder`

#### setTypeList

    public Requests.TablesRequest.Builder setTypeList(int index,
                                                      String value)

`repeated string type_list = 4;`

#### addTypeList

    public Requests.TablesRequest.Builder addTypeList(String value)

`repeated string type_list = 4;`

#### addAllTypeList

    public Requests.TablesRequest.Builder addAllTypeList(Iterable<String> values)

`repeated string type_list = 4;`

#### clearTypeList

    public Requests.TablesRequest.Builder clearTypeList()

`repeated string type_list = 4;`

#### addTypeListBytes

    public Requests.TablesRequest.Builder addTypeListBytes(com.google.protobuf.ByteString value)

`repeated string type_list = 4;`

#### getHasTypeList

    public boolean getHasTypeList()

     Having an empty type_list is distinct from a null type_list

`bool has_type_list = 6;`

Specified by:
  `getHasTypeList` in interface `Requests.TablesRequestOrBuilder`

#### setHasTypeList

    public Requests.TablesRequest.Builder setHasTypeList(boolean value)

     Having an empty type_list is distinct from a null type_list

`bool has_type_list = 6;`

#### clearHasTypeList

    public Requests.TablesRequest.Builder clearHasTypeList()

     Having an empty type_list is distinct from a null type_list

`bool has_type_list = 6;`

#### getConnectionId

    public String getConnectionId()

`string connection_id = 7;`

Specified by:
  `getConnectionId` in interface `Requests.TablesRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 7;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.TablesRequestOrBuilder`

#### setConnectionId

    public Requests.TablesRequest.Builder setConnectionId(String value)

`string connection_id = 7;`

#### clearConnectionId

    public Requests.TablesRequest.Builder clearConnectionId()

`string connection_id = 7;`

#### setConnectionIdBytes

    public Requests.TablesRequest.Builder setConnectionIdBytes(com.google.protobuf.ByteString value)

`string connection_id = 7;`

#### setUnknownFields

    public final Requests.TablesRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`

#### mergeUnknownFields

    public final Requests.TablesRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TablesRequest.Builder>`